# $Revision: 1.61.2.1 $, $Date: 2004/08/20 12:22:29 $
Summary:	Pavuk WWW Graber
Summary(cs):	Program pro zrcadlen HTTP, FTP a Gopher server
Summary(fr):	Un programme de mirroring pour HTTP, FTP ou les serveurs Gopher
Summary(it):	Un programma di mirroring per server HTTP, FTP e Gopher
Summary(pl):	Narzdzie do nieinteraktywnego cigania stron WWW
Summary(sk):	Program na zrkadlenie HTTP, FTP a Gopher serverov
Name:		pavuk
Version:	0.9pl29d
Release:	5.1
Epoch:		1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.idata.sk/~ondrej/sw/%{name}-%{version}.tgz
# Source0-md5:	933bf6dc0aaf1afbf9d6ac8d557435a9
Source1:	%{name}.png
Patch0:		%{name}-fixes.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-http.patch
Patch4:		%{name}-digest_auth.c.patch
Icon:		pavuk.xpm
URL:		http://www.idata.sk/~ondrej/pavuk/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	db1-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.6m
Obsoletes:	pavuk-ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/misc
%define		_desktopdir	%{_applnkdir}/Network/Misc

%description
Pavuk is UNIX program used to mirror contents of WWW documents or
files. It transfers documents from HTTP, FTP and Gopher servers.

%description -l cs
Pavuk je program pouvan pro zrcadlen obsahu WWW dokument
pomoc protokol HTTP, FTP, Gopher a HTTPS (SSL).

%description -l fr
Pavuk est un programme utilis pour mirrorer le contenu de documents
web en utilisant HTTP, FTP, GOPHER ou HTTPS (SSL).

%description -l it
Pavuk e' un programma usato per fare il mirror dei contenuti dei
documenti su Web utilizzando HTTP, FTP, Gopher o HTTPS (SSL).

%description -l pl
Pavuk (Pajk) jest programem do robienia odbi lustrzanych (mirror)
stron WWW. Moe pracowa z protokoami HTTP, FTP i Gopher.

%description -l sk
Pavuk je program na zrkadlenie obsahu Web dokumentov prostrednctvom
HTTP, FTP, Gopher alebo HTTPS (SSL).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
cd src
%patch3 -p0
%patch4 -p0
cd ..

cp %{SOURCE1} .

%build
# don't run gettextize, pavuk has its own po install system using automake
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-ssl \
	--enable-threads \
	--disable-socks \
	--disable-maintainer-mode
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	desktopdir=%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO pavukrc.sample pavuk_authinfo.sample
%attr(755,root,root) %{_bindir}/pavuk
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pavuk.spec,v $
Revision 1.61.2.1  2004/08/20 12:22:29  blues
- changes for RA

Revision 1.61  2004/08/20 10:59:04  blues
- release 5.1 - security fixes from gentoo

Revision 1.60  2004/08/10 14:08:07  blues
- next security note

Revision 1.59  2004/08/10 13:50:55  blues
- security note

Revision 1.58  2004/07/14 00:32:45  ankry
- -desktop.patch updated, rel. 5

Revision 1.57  2004/04/04 11:38:45  qboosh
- updated ac,desktop patch, fixed build, switched to vfolders, s/db1/db/
- moved example config files to just doc (they are not sources)

Revision 1.56  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.55  2003/09/30 20:18:28  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.54  2003/09/16 08:34:50  adamg
- md5 sum added

Revision 1.53  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.52  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.51  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.50  2002/11/05 00:37:25  ankry
- desktop fixed, rel. 3

Revision 1.49  2002/11/02 23:06:57  ankry
- forgotten: release 2, STBR

Revision 1.48  2002/11/02 23:06:12  ankry
- really new %%doc, use %%{_examplesdir}
- added -ac patch (fixed build with autoconf-2.53a)
- added -desktop patch (pl entry + converted to UTF8)
- cleaning, translations from RH

Revision 1.47  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new
  %%doc

Revision 1.46  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.45  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.44  2002/05/21 23:14:20  kloczek
perl -pi -e "s/^automake -a -c -f --foreign/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.42  2002/02/22 23:29:22  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/12 11:15:02  kloczek
- updated to 0.9pl29d.

Revision 1.40  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.39  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/05/11 18:22:30  kloczek
- make libtool happy.

Revision 1.37  2001/05/11 17:35:16  misiek
- updated to 0.9pl27

Revision 1.36  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.35  2000/10/16 23:28:42  kloczek
- updated to 0.9pl26,
- added using new rpm automation.

Revision 1.34  2000/07/06 04:43:11  kloczek
- updated to 0.9pl25,
- added desktop file and icons,
- removed gettext-devel from BuildRequires.

Revision 1.33  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.32  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/06/07 04:21:51  kloczek
- spec adapterized.

Revision 1.30  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.29  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.27  2000/02/12 01:00:01  pius
- updated to 0.9pl24
- cosmetics

Revision 1.26  1999/12/30 19:43:38  kloczek
- release 2,
- added SSL support.

Revision 1.25  1999/12/21 21:45:31  wiget
0.9pl23

Revision 1.24  1999/12/02 01:44:18  kloczek
- fixed man pages location.

Revision 1.23  1999/11/28 19:43:37  wiget
- 0.9pl22

Revision 1.22  1999/10/19 21:25:42  wiget
- upgrade to p21

Revision 1.21  1999/08/26 17:43:29  baggins
- buildrequires gettext -> gettext-devel

Revision 1.20  1999/07/31 13:14:15  kloczek
- updated 0.9pl18.

Revision 1.19  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9pl12-1]
- now package is FHS 2.0 compliant,
- rewrited from spec obtained from RH contrib.
